Open Infrastructure - Task #6988

Fix cdist configuration run on monitoring.place6
07/21/2019 12:04 PM - Nico Schottelius

Status: Closed Start date: 07/21/2019
Priority: Normal Due date:

Assignee: Dominique Roux % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
&& document what you have done / update comments in this ticket, for the watchers

VERBOSE: [15757]: monitoring.place6.ungleich.ch: Running object _ package_apt/curl

VERBOSE: [15759]: monitoring.place6.ungleich.ch: Running object __ hostname/

VERBOSE: [15760]: monitoring.place6.ungleich.ch: Running object __ungleich_wizzy/

VERBOSE: [15761]: monitoring.place6.ungleich.ch: Running object __ungleich_package_maximum/

INFO: [15760]: monitoring.place6.ungleich.ch: Processing __ungleich_wizzy/
ERROR: [15106]: monitoring.place6.ungleich.ch: ssh -o User=root -o ControlPath=/tmp/tmphwlggful/s

-0 ControlMaster=auto -o ControlPersist=2h monitoring.place6.ungleich.ch /bin/sh -c ' export __ obj
ect=/var/lib/cdist/object/__ungleich_wizzy/.cdist-3ne44luk; export _ object_id=;/bin/sh -e /var/1l
ib/cdist/object/_ _ungleich_wizzy/.cdist-3ned4luk/code-remote': ['ssh', '-o', 'User=root', '-o', 'C

ontrolPath=/tmp/tmphwlggful/s', '-o', 'ControlMaster=auto', '-o', 'ControlPersist=2h', 'monitoring
.place6.ungleich.ch', "/bin/sh -c ' export __object=/var/lib/cdist/object/__ungleich_wizzy/.cdist-
3ned4luk; export __object_id=;/bin/sh -e /var/lib/cdist/object/__ungleich_wizzy/.cdist-3ned4dluk/c
ode-remote'"]

Error processing object '_ _ungleich_wizzy/'

name: __ungleich_wizzy/

path: /tmp/tmplS5yJjyg56/27£6083c30003966569bf2b%a35e518c/data/object/__ungleich_wizzy/.cdist-3ne4d4l
uk

source: /tmp/tmpl5yjyg56/27£6083c30003966569bf2b%9a35e518c/data/conf/type/__ungleich_grafana_dashbo
ard_sync/manifest

type: /home/nico/vcs/ungleich-dot-cdist/type/__ungleich_wizzy

code-remote:stderr

sudo: unable to resolve host monitoring

E: The repository 'https://packagecloud.io/grafana/stable/debian stretch Release' does no longer h
ave a Release file.

History

#1 - 07/22/2019 08:06 PM - Dominique Roux

- Status changed from New to Seen

#2 - 07/24/2019 02:34 PM - Dominique Roux

- Status changed from Seen to Resolved

checked https:/grafana.com/docs/installation/debian/ for the repository information

changed in upstream cdist the __grafana_dashboard manifest to the "new" repository
(Changed the signing key and changed the repo url)

Created a MR for the upstream cdist type. https:/code.ungleich.ch/ungleich-public/cdist/merge_requests/787

#3 - 08/22/2019 08:29 PM - Nico Schottelius

- Status changed from Resolved to Closed
